package de.jottyfan.timetrack.help;

import static org.junit.jupiter.api.Assertions.assertEquals;

import java.text.SimpleDateFormat;
import java.time.LocalDate;
import java.util.Date;

import org.junit.jupiter.api.Test;

/**
 * 
 * @author jotty
 *
 */
public class TestLocalDateConverter {
	@Test
	public void testGetAsObject() {
		String now = new SimpleDateFormat("dd.MM.yyyy").format(new Date());
		assertEquals(LocalDate.now(), new LocalDateConverter().getAsObject(null, null, now));
	}
	
	@Test
	public void testGetAsString() {
		String now = new SimpleDateFormat("dd.MM.yyyy").format(new Date());
		assertEquals(now, new LocalDateConverter().getAsString(null, null, LocalDate.now()));
	}
}
